package com.sqx.modules.app.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sqx.modules.app.entity.UserMoney;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

@Mapper
public interface UserMoneyDao extends BaseMapper<UserMoney> {

    void updateMayMoney(@Param("type") Integer type, @Param("userId") Long userId, @Param("money") Double money);

    int addMoney(@Param("userId") Long userId, @Param("money") BigDecimal money);

    UserMoney selectMoney(@Param("userId") Long userId);

    int addUserMoney(@Param("userId") Long userId,@Param("money") BigDecimal money, @Param("type") Integer type);

    int updateUserBalance(@Param("userId") Long userId,@Param("money") BigDecimal money, @Param("type") Integer type);

    int updateCashDeposit(@Param("userId") Long userId,@Param("money") BigDecimal money, @Param("type") Integer type);
}
